[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'LDockTree' (#lcl)

# TCustomAnchoredDockManager.InsertControl

InsertControl - calls DockControl to perform insertion

## Declaration

Source position: ldocktree.pas line 247

`public procedure TCustomAnchoredDockManager.InsertControl(`
`Control: TControl;`
`InsertAt: TAlign;`
`DropCtl: TControl`
`); override;`

## See also

TCustomAnchoredDockManager.DockControl |  | DockControl - docks the specified control with the Drop Control, using the alignment rule specified by InsertAt
TDockManager.InsertControl |  | Position DropCtl relative Control, using the alignment specified by InsertAt.

The latest version of this document can be found at lazarus-ccr.sourceforge.net.